Bug 1289715 - [abrt] gthumb: Exiv2::Internal::TiffMnEntry::doAddPath(): gthumb killed by SIGABRT
[abrt] gthumb: Exiv2::Internal::TiffMnEntry::doAddPath(): gthumb killed by SI...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e17d9f7e0fc75fc80aa4a3b8591...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 14:01 EST by Andrea Musuruane
Modified: 2016-12-20 11:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:49:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.55 KB, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details
File: core_backtrace (12.89 KB, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details
File: dso_list (21.12 KB, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details
File: environ (1.64 KB, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details
File: maps (99.39 KB, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details
File: mountinfo (3.32 KB, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details
File: open_fds (3.04 KB, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details
File: proc_pid_status (1005 bytes, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details
File: var_log_messages (593 bytes, text/plain)
2015-12-08 14:01 EST, Andrea Musuruane
no flags Details

  None (edit)
Description Andrea Musuruane 2015-12-08 14:01:32 EST
Description of problem:
I tried to rotate a photo and gthumb crashed unexpectedly.

Version-Release number of selected component:
gthumb-3.4.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gthumb
crash_function: Exiv2::Internal::TiffMnEntry::doAddPath
executable:     /usr/bin/gthumb
global_pid:     2781
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 Exiv2::Internal::TiffMnEntry::doAddPath at tiffcomposite.cpp:749
 #5 Exiv2::Internal::TiffComponent::addPath at tiffcomposite.cpp:634
 #6 Exiv2::Internal::TiffDirectory::doAddPath at tiffcomposite.cpp:694
 #7 Exiv2::Internal::TiffComponent::addPath at tiffcomposite.cpp:634
 #8 Exiv2::Internal::TiffSubIfd::doAddPath at tiffcomposite.cpp:729
 #9 Exiv2::Internal::TiffComponent::addPath at tiffcomposite.cpp:634
 #10 Exiv2::Internal::TiffDirectory::doAddPath at tiffcomposite.cpp:694
 #11 Exiv2::Internal::TiffComponent::addPath at tiffcomposite.cpp:634
 #12 Exiv2::Internal::TiffEncoder::add at tiffvisitor.cpp:1094
 #13 Exiv2::Internal::TiffParserWorker::encode at tiffimage.cpp:2164
Comment 1 Andrea Musuruane 2015-12-08 14:01:37 EST
Created attachment 1103680 [details]
File: backtrace
Comment 2 Andrea Musuruane 2015-12-08 14:01:39 EST
Created attachment 1103681 [details]
File: cgroup
Comment 3 Andrea Musuruane 2015-12-08 14:01:40 EST
Created attachment 1103682 [details]
File: core_backtrace
Comment 4 Andrea Musuruane 2015-12-08 14:01:42 EST
Created attachment 1103683 [details]
File: dso_list
Comment 5 Andrea Musuruane 2015-12-08 14:01:44 EST
Created attachment 1103684 [details]
File: environ
Comment 6 Andrea Musuruane 2015-12-08 14:01:45 EST
Created attachment 1103685 [details]
File: limits
Comment 7 Andrea Musuruane 2015-12-08 14:01:48 EST
Created attachment 1103686 [details]
File: maps
Comment 8 Andrea Musuruane 2015-12-08 14:01:49 EST
Created attachment 1103687 [details]
File: mountinfo
Comment 9 Andrea Musuruane 2015-12-08 14:01:51 EST
Created attachment 1103688 [details]
File: namespaces
Comment 10 Andrea Musuruane 2015-12-08 14:01:52 EST
Created attachment 1103689 [details]
File: open_fds
Comment 11 Andrea Musuruane 2015-12-08 14:01:53 EST
Created attachment 1103690 [details]
File: proc_pid_status
Comment 12 Andrea Musuruane 2015-12-08 14:01:55 EST
Created attachment 1103691 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-11-24 09:04:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 11:49:03 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.